<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Access extends MY_Controller {

    public function __construct()
    {
        parent::__construct();
    }  
    
    public function index()
    {
        $this->load->view('access/login');
    }
    
    public function validate()
    {
        if(isset($this->session->userdata['loggedIn']))
        {
            redirect('dashboard');
        }
        else
        {
            $this->form_validation->set_rules('usermail', 'Username', 'required');
            $this->form_validation->set_rules('userpass', 'Password', 'required');

            if ($this->form_validation->run() == FALSE) 
            {
                $this->load->view('access/login');
            }

            else 
            {
                $data = array(
                    'email' => $this->input->post('usermail'),
                    'password' => $this->input->post('userpass')
                );

                $result = $this->login_database->login($data);
                
                if ($result == TRUE)
                {
                    $email = $data['email'];
                    $session_data = array(
                        'userId' => $result[0]->IdKasir,
                        'username' => $result[0]->NickName,
                        'level' => $result[0]->Level,
                        'isLogged' => 'TRUE',
                    );
                    
                    // Add user data in session
                    $this->session->set_userdata('loggedIn', $session_data);
                    redirect('dashboard');
                }
                else 
                {
                    $data = array(
                        'error_message' => 'Invalid Username or Password'
                    );

                    $this->load->view('access/login', $data);
                }
            }
        }
    }

    
}

