<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');


class Dashboard extends MY_Controller{
    //put your code here
    public function __construct()
    {
        parent::__construct();
        $this->load->model('user_model');
        //$this->load->library('session');
    }
    
    public function index() {

        $user_list = '';

        if ($this->session->userdata('loggedIn')['level'] == 1) {
            // Jika login sebagai master, cari agen dibawahya
            $data = array(
                'id_kasir_induk' => $this->session->userdata('loggedIn')['userId'],
                'level' => 2
            ); 

            $user_list = $this->user_model->get_agen($data);
            $player_list = $this->user_model->get_player($data);
            
        }elseif ($this->session->userdata('loggedIn')['level'] == 2) {
            // Jika login sebagai agen, ambil sub agen dibawahnya
            $data = array(
                    'id_kasir_induk' => $this->session->userdata('loggedIn')['userId'],
                    'level' => 3
                ); 

            $user_list = $this->user_model->get_anak_agen($data);
            $player_list = $this->user_model->get_player($data);
        }else{
            $data = array(
                    'id_kasir_induk' => $this->session->userdata('loggedIn')['userId'],
                );

            $player_list = $this->user_model->get_player($data);
        }

        // Jika login sebagai sub agen, ambil user dibawahnya

        $data["message"] = $this->session->flashdata('status');
        $data["error"] = $this->session->flashdata('error');
        $data["user_lst"] = $user_list;
        $data["player_lst"] = $player_list;

        // print_r($this->session->userdata('loggedIn'));
        $this->load->view('design/header');
        $this->load->view('dashboard/admin', $data);
        $this->load->view('design/footer');
    }

    // public function signup()
    // {
    //     $this->load->view('dashboard')
    // }
}
