<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');



class User_auth
{
	public function __construct(){

	}

	/**	
	 * hash_password function.
	 * 
	 * @access private
	 * @param mixed $password
	 * @return string|bool could be a string on success, or bool false on failure
	 */
	public function hash_password($password) {
		return password_hash($password, PASSWORD_BCRYPT);
	}

	/**
	 * verify_password_hash function.
	 * 
	 * @access private
	 * @param mixed $password
	 * @param mixed $hash
	 * @return bool
	 */
	public function verify_password_hash($password, $hash) {
		return password_verify($password, $hash);
	}
}