<?php 
	if(!defined('BASEPATH')) exit('No direct script access allowed');

	class Bank_kasir_model extends CI_Model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
		}

		public function get_all_history()
		{
			$this->db->limit(100);
			$query = $this->db->get('bank_kasir');

			return $query->result(); //The result is an array of objects, each row = an object
		}

		public function get_bank_kasir_by()
		{
			$this->db->where('Waktu >=', $this->input->post('fromDate'));
			$this->db->where('Waktu <=', $this->input->post('toDate'));

			$this->db->join('kasir', 'kasir.IdKasir = bank_kasir.IdKasir', 'left');
			$this->db->join('categories', 'categories.IdCategory = bank_kasir.IdCategory', 'left');
			
			return $this->db->get('bank_kasir')->result();
		}
	}
?>