<script type="text/javascript">
  function callChange(var_id){
    document.getElementById("title").innerHTML="Change User Password";
    $.ajax({
      url: "<?php echo base_url();?>users/change_password/"+var_id
    }).done(function( html ) {
      $(".modal-body").html(html);
    });
    $('#user-modal').modal('show');
  }

  function callLihatAnak(var_id){
    document.getElementById("title").innerHTML="Lihat User";
    $.ajax({
      url: "<?php echo base_url();?>users/lihat_anak/"+var_id
    }).done(function( html ) {
      $(".modal-body").html(html);
    });

    $('#user-modal').modal('show');
  }

  function callLihatPlayer(var_id){
    document.getElementById("title").innerHTML="Lihat Player";
    $.ajax({
      url: "<?php echo base_url();?>users/lihat_player/"+var_id
    }).done(function( html ) {
      $(".modal-body").html(html);
    });

    $('#user-modal').modal('show');
  }

  function callActivate(var_id){
    $.ajax({
      url: "<?php echo base_url();?>users/change_status/"+var_id
    }).done(function( html ) {

    });
    window.location.reload();
  }

  function callUpdateData(var_id){
    document.getElementById("title").innerHTML="Update User Data";
    $.ajax({
      url: "<?php echo base_url();?>users/change_data/"+var_id
    }).done(function( html ){
      $(".modal-body").html(html);
    });
    $('#user-modal').modal('show');
  }

</script>

<div class="row">
  <?php if($this->session->userdata('loggedIn')['level'] != 3){?>
<div class="col-xs-6">
  <div class="box">
    <div class="box-header">
      <h3 class="box-title">User List <span class="badge">(<?php echo count($user_lst); ?> User)</span></h3>
    </br>
      <?php if(isset($message) && $message!=null){?><div class="alert alert-success"><button type="button" class="close" data-dismiss="alert">&times;</button><?php echo $message;?></div><?php }?>
      <?php if(isset($error) && $error!=null){?><div class="alert alert-error"><button type="button" class="close" data-dismiss="alert">&times;</button><?php echo $error;?></div><?php }?>

    </div><!-- /.box-header -->
    <div class="box-body">
      <table id="user_table" class="table table-bordered table-hover">
        <thead>
           <tr>
              <th>No.</th>
               <th>ID Kasir</th>
               <th>Nickname</th>
               <th>ACTION</th>
           </tr>
        </thead>

        <?php foreach ($user_lst as $key=>$c): ?>
        <tr>
           <td><?php echo $key + 1; ?></td>
           <td><?php echo $c->IdKasir; ?></td>
           <td><?php echo $c->Nama; ?></td>
           <td>

            <?php if($this->session->userdata('loggedIn')['level'] == 2){?>
                <a onClick="callLihatPlayer(<?php echo $c->IdKasir; ?>)" 
                  class="btn btn-sm btn-success btn-flat <?php if($c->TotalAnak == 0){?>disabled<?php }?>">
                  Lihat Player (<?php echo $c->TotalAnak; ?>)</a>
            <?php }else{?>
                <a onClick="callLihatAnak(<?php echo $c->IdKasir; ?>)" 
                  class="btn btn-sm btn-success btn-flat <?php if($c->TotalAnak == 0){?>disabled<?php }?>">
                  Lihat Anak (<?php echo $c->TotalAnak; ?>)</a>
            <?php }?>

            <a onClick="callChange(<?php echo $c->IdKasir; ?>)" class="btn btn-sm btn-success btn-flat">Change Password</a>
          </td>
        </tr>
        <?php endforeach; ?>

      </table>
    </div><!-- /.box-body -->
  </div><!-- /.box -->
  </div><!-- /.col -->
  <?php }?>

  <div class="col-xs-6">
  <div class="box">
    <div class="box-header">
      <h3 class="box-title">Player List <span class="badge">(<?php echo count($player_lst); ?> User)</span></h3>
    </div><!-- /.box-header -->
    <div class="box-body">
      <table id="player_table" class="table table-bordered table-striped">
        <thead>
          <tr>
            <th>No.</th>
            <th>Nick Name</th>
            <th>Contact Name</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
          <?php foreach ($player_lst as $key=>$c): ?>

        <tr>
           <td><?php echo $key + 1; ?></td>
           <td><?php echo $c->NickName; ?></td>
           <td><?php echo $c->ContactName; ?></td>
           <td><a onClick="callChange(<?php echo $c->IdPlayer; ?>)" class="btn btn-sm btn-success btn-flat">Lihat Detil User</a>
            <a onClick="callChange(<?php echo $c->IdPlayer; ?>)" class="btn btn-sm btn-success btn-flat">Reset Password</a>
            <a onClick="callChange(<?php echo $c->IdPlayer; ?>)" class="btn btn-sm btn-success btn-flat">History Game</a>
          </td>
        </tr>
        <?php endforeach; ?>
        </tbody>
      </table>
    </div><!-- /.box-body -->
  </div><!-- /.box -->

</div><!-- /.col -->
</div><!-- /.row -->

<div id="user-modal" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 id="title" class="modal-title">Lihat Anak</h4>
      </div>
      <div class="modal-body">

        <!-- <p>One fine body&hellip;</p> -->
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->