<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Bank_kasir extends MY_Controller{
    //put your code here
    public function __construct()
    {
        parent::__construct();
        $this->load->model('bank_kasir_model');
    }    
    
    public function index() {
        $data['message'] = $this->session->flashdata('status');

        $this->load->view('design/header');
        $this->load->view('bank_kasir/viewbankkasir', $data);
        $this->load->view('design/footer');
    }

    public function search_bank_kasir(){
        if($_POST == TRUE) {
            //form validation
            $this->form_validation->set_rules('fromDate', 'From Date', 'required');
            $this->form_validation->set_rules('toDate', 'To Date');

            if ($this->form_validation->run() == TRUE) {
                $bank_kasir_list = $this->bank_kasir_model->get_bank_kasir_by();
                $data["bank_kasir_lst"] = $bank_kasir_list;
                $data["fromDate"] = $this->input->post('fromDate');;
                $data["toDate"] = $this->input->post('toDate');;

                $this->load->view('design/header');
                $this->load->view('bank_kasir/viewbankkasir', $data);
                $this->load->view('design/footer');
            }else{
                $this->session->set_flashdata('error', 'Failed to do query');
                redirect('bank_kasir');
            }
        }
    }
}
