<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Game_history extends MY_Controller{
    //put your code here
    public function __construct()
    {
        parent::__construct();
        $this->load->model('game_history_model');
    }    
    
    public function index() {
        $data['message'] = $this->session->flashdata('status');

        $this->load->view('design/header');
        $this->load->view('game_history/viewgamehistory', $data);
        $this->load->view('design/footer');
    }

    public function search_game_history(){
        if($_POST == TRUE) {
            //form validation
            $this->form_validation->set_rules('fromDate', 'From Date', 'required');
            $this->form_validation->set_rules('toDate', 'To Date');

            if ($this->form_validation->run() == TRUE) {
                $game_history_list = $this->game_history_model->get_history_by();
                $data["game_lst"] = $game_history_list;
                $data["fromDate"] = $this->input->post('fromDate');;
                $data["toDate"] = $this->input->post('toDate');;

                $this->load->view('design/header');
                $this->load->view('game_history/viewgamehistory', $data);
                $this->load->view('design/footer');
            }else{
                $this->session->set_flashdata('error', 'Failed to do query');
                redirect('game_history');
            }
        }
    }
}
