<?php 
	if(!defined('BASEPATH')) exit('No direct script access allowed');

	class Game_history_model extends CI_Model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
		}

		public function get_all_history()
		{
			$this->db->limit(100);
			$query = $this->db->get('history_games');

			return $query->result(); //The result is an array of objects, each row = an object
		}

		public function get_history_by()
		{
			echo $this->input->post('fromDate');
			echo $this->input->post('toDate');

			$this->db->where('WaktuAwal >=', $this->input->post('fromDate'));
			$this->db->where('WaktuAkhir <=', $this->input->post('toDate'));
			$this->db->join('operations', 'operations.IdOperation = history_games.IdOperation', 'left');
			$this->db->join('players', 'players.IdPlayer = history_games.IdPlayer', 'left');
			
			return $this->db->get('history_games')->result();
		}
	}
?>