<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	class Login_Database extends CI_Model
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->database();
		}

		public function login($data)
		{
			// $body = '{"type":70,"userName":"agfreecoin","password":"123456","versiMayor":2,"versiMinor":0,"versiSubMinor":0}';
			// $your_var = $this->guzzler_post('http://110.4.41.114:9298', '/kasir', $body);
			// echo $your_var->getBody();
			// echo $your_var->getStatusCode();
			// var_dump($your_var);
			
			$hashed_password = sha1($data['password']);
			$this->db->select('Password, NickName, IdKasir');
			$this->db->from('kasir_grantor');
			$this->db->where('NickName', $data['email']);
			$this->db->where('Password', $hashed_password);
			$this->db->limit(1);

			$query = $this->db->get();

			if($query->num_rows() == 1){
				$result = $query->result();
				$user_level = $this->get_user_level($result[0]->IdKasir);
				$result[0]->Level = $user_level;	
			}else{
				$result = FALSE;
			}
			
			return $result;
		}

		public function verify_password($data){
			$hashed_password = sha1($data['current_password']);
			$this->db->select('Password, NickName, IdKasir');
			$this->db->from('kasir_grantor');
			$this->db->where('NickName', $data['username']);
			$this->db->where('Password', $hashed_password);
			$this->db->limit(1);

			$query = $this->db->get();

			if($query->num_rows() == 1){
				$result = TRUE;
			}else{
				$result = FALSE;
			}
			
			return $result;
		}

		public function ganti_password($data){
			$hashed_password = sha1($data['new_password']);

			$this->db->where('NickName', $data['username']);

			$update_data = array(
			        'Password' => $hashed_password,
			);

			$result = $this->db->update('kasir_grantor', $update_data);

			return $result;
		}

		public function get_user_level($data){
			$this->db->from('kasir');
			$this->db->where('IdKasir', $data);
			return $this->db->get()->result()[0]->Level;
		}

		public function read_user_information($email) 
		{
			$condition = "email =" . "'" . $email . "'";
			$this->db->select('*');
			$this->db->from('tbl_user');
			$this->db->where($condition);
			$this->db->limit(1);
			$query = $this->db->get();

			if ($query->num_rows() == 1) 
			{
				return $query->result();
			} 
			else 
			{
				return false;
			}
		}

		protected function _prepare_ip($ip_address) {
			// just return the string IP address now for better compatibility
			return $ip_address;
		}

		 public function guzzler_get($url, $uri)
		{    
			$client = new GuzzleHttp\Client(['base_uri' => $url]);
			$response = $client->get($uri);
			// print_r($response); // print out response

			// print out headers: 
			// foreach ($response->getHeaders() as $name => $values) {
			//    echo $name . ': ' . implode(', ', $values) . "\r\n";
			// }
			return $response;
		}

		public function guzzler_post($url, $uri, $body)
		{    
			$client = new GuzzleHttp\Client(['base_uri' => $url]);
			$response = $client->post($uri, ['body' => $body]);
			// print_r($response); // print out response

			// print out headers: 
			// foreach ($response->getHeaders() as $name => $values) {
			//    echo $name . ': ' . implode(', ', $values) . "\r\n";
			// }
			return $response;
		}

		/**	
		 * hash_password function.
		 * 
		 * @access private
		 * @param mixed $password
		 * @return string|bool could be a string on success, or bool false on failure
		 */
		public function hash_password($password) {
			return password_hash($password, PASSWORD_BCRYPT);
		}
		
		/**
		 * verify_password_hash function.
		 * 
		 * @access private
		 * @param mixed $password
		 * @param mixed $hash
		 * @return bool
		 */
		public function verify_password_hash($password, $hash) {
			return password_verify($password, $hash);
		}
	}
 ?>