<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title><?php echo APP_NAME; ?> | Web Admin</title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
    <!-- Bootstrap 3.3.2 -->
    <link href="<?=base_url('assets/bootstrap/css/bootstrap.min.css');?>" rel="stylesheet" type="text/css" />
    <!-- Font Awesome Icons -->
    <link href="<?=base_url('assets/plugins/fontawesome/css/font-awesome.min.css');?>" rel="stylesheet" type="text/css" />
    <!-- Ionicons -->
    <link href="<?=base_url('assets/plugins/ionicons/css/ionicons.min.css');?>" rel="stylesheet" type="text/css" />
    <!-- Date Time -->
    <link href="<?=base_url('assets/plugins/datepicker/datepicker3.css');?>" rel="stylesheet" type="text/css" />
    <!-- Theme style -->
    <link href="<?=base_url('assets/dist/css/AdminLTE.min.css');?>" rel="stylesheet" type="text/css" />
    
    <link href="<?=base_url('assets/dist/css/skins/_all-skins.min.css');?>" rel="stylesheet" type="text/css" />
    <link href="<?=base_url('assets/dist/css/custom.css');?>" rel="stylesheet" type="text/css" />
    <link href="<?=base_url('assets/plugins/jquery-loading/jquery.loading.min.css');?>" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/css/bootstrap-select.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/fixedheader/3.1.3/css/fixedHeader.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

  </head>
  <body class="skin-red fixed">
    <div class="wrapper">
      
      <header class="main-header">
        <!-- Logo -->
        <a href="<?=base_url();?>" class="logo"><?php echo APP_NAME; ?></a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top fh-fixedHeader" role="navigation">
          <!-- Sidebar toggle button-->
          <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
          </a>
          <!-- Navbar Right Menu -->
          <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">              
              <!-- User Account: style can be found in dropdown.less -->
              <li class="dropdown user user-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <img src="<?=base_url('assets/dist/img/mia.png');?>" class="user-image" alt="User Image"/>
                  <span class="hidden-xs"><?php echo $this->session->userdata('loggedIn')['username']?></span>
                </a>
                <ul class="dropdown-menu">
                  <!-- User image -->
                  <li class="user-header">
                    <img src="<?=base_url('assets/dist/img/mia.png');?>" class="img-circle" alt="User Image" />
                    <p>
                      <?php echo $this->session->userdata('loggedIn')['username']?>
                    </p>

                  <input type="hidden" id="user-level" value="<?php echo $this->session->userdata('loggedIn')['level']?>">

                  </li>
                  <!-- Menu Body -->
                  <!-- <li class="user-body">
                    <div class="col-xs-4 text-center">
                      <a href="#">Followers</a>
                    </div>
                    <div class="col-xs-4 text-center">
                      <a href="#">Sales</a>
                    </div>
                    <div class="col-xs-4 text-center">
                      <a href="#">Friends</a>
                    </div>
                  </li> -->
                  <!-- Menu Footer-->
                  <li class="user-footer">
                    <!-- <div class="pull-left">
                      <a href="#" class="btn btn-default btn-flat">Profile</a>
                    </div> -->
                    <div class="pull-right">
                      <a href="<?php echo base_url('logout'); ?>" class="btn btn-default btn-flat">Sign out</a>
                    </div>
                  </li>
                </ul>
              </li>
            </ul>
          </div>
        </nav>
      </header>
      <!-- Left side column. contains the logo and sidebar -->
      <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
          <!-- Sidebar user panel -->
          <div class="user-panel">
            <div class="pull-left image">
              <img src="<?=base_url('assets/dist/img/mia.png');?>" class="img-circle" alt="User Image" />
            </div>
            <div class="pull-left info">
              <p><?php echo $this->session->userdata('loggedIn')['username']?></p>

              <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
            </div>
          </div>
        
          <ul class="sidebar-menu">
            <li class="header">MAIN NAVIGATION</li>
            <li>
              <a href="<?=base_url('dashboard');?>">
                <i class="fa fa-dashboard"></i> <span>Dashboard</span>
              </a>
            </li>
            <!-- <li class="treeview">
              <a href="#">
                <span>Manage User</span> <i class="fa fa-angle-left pull-right"></i>
              </a>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('users');?>"><i class="fa fa-circle-o"></i> View User</a></li>
              </ul>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('manage_kasir/get_kasir_downline');?>"><i class="fa fa-circle-o"></i> Manage Daily Report</a></li>
              </ul>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('manage_kasir/get_weekly_report');?>"><i class="fa fa-circle-o"></i> Manage Weekly Report</a></li>
              </ul>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('signup');?>"><i class="fa fa-circle-o"></i> Add User</a></li>
              </ul>
            </li> -->
            <!-- <li class="treeview">
              <a href="#">
                <span>Group Management</span> <i class="fa fa-angle-left pull-right"></i>
              </a>
              <ul class="treeview-menu">
                <li class=""><a href="#"><i class="fa fa-circle-o"></i> View Group</a></li>
              </ul>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('privilege');?>"><i class="fa fa-circle-o"></i> Add Group/Privilege</a></li>
              </ul>
            </li> -->
            <!-- <li class="treeview">
              <a href="#">
                <span>History</span> <i class="fa fa-angle-left pull-right"></i>
              </a>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('bank');?>"><i class="fa fa-circle-o"></i> View Bank History</a></li>
              </ul>
               <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('game_history');?>"><i class="fa fa-circle-o"></i> View Game History</a></li>
              </ul>
              <ul class="treeview-menu">
                <li class=""><a href="<?=base_url('bank_kasir');?>"><i class="fa fa-circle-o"></i> View Bank Kasir</a></li>
              </ul>
            </li> -->
<!-- 
            <li>
              <a href="<?=base_url('users/my_profile_page');?>">
                <i class="fa fa-pagelines"></i> <span>My Profile</span>
              </a>
            </li> -->
<!-- 
            <li>
              <a href="<?=base_url('users/message_page');?>">
                <i class="fa fa-pagelines"></i> <span>Message</span>
              </a>
            </li>
 -->
            <!-- <li>
              <a href="<?=base_url('users/change_password_page');?>">
                <i class="fa fa-pagelines"></i> <span>Change Password</span>
              </a>
            </li> -->

            <li>
              <a href="<?=base_url('users/rollingan_global');?>">
                <i class="fa fa-line-chart"></i> <span>Rollingan Global</span>
              </a>
            </li>

            <!-- <li>
              <a href="<?=base_url('users/rollingan_harian');?>">
                <i class="fa fa-line-chart"></i> <span>Rollingan Per Hari</span>
              </a>
            </li> -->

            <li>
              <a href="<?=base_url('users/rollingan_range_hari');?>">
                <i class="fa fa-line-chart"></i> <span>Rollingan Range Hari</span>
              </a>
            </li>
            <?php if($this->session->userdata('loggedIn')['userId'] == 1): ?>
            <li>
              <a href="<?=base_url('master/rollingan_range_hari_master');?>">
                <i class="fa fa-line-chart"></i> <span>Rollingan Range Hari (master)</span>
              </a>
            </li>
            <?php endif; ?>

            <li>
              <a href="<?=base_url('users/transfer_pemain');?>">
                <i class="fa fa-exchange"></i> <span>Transfer Pemain</span>
              </a>
            </li>

<!--             <li>
              <a href="<?=base_url('users/history_game_page');?>">
                <i class="fa fa-pagelines"></i> <span>History Game (Detail)</span>
              </a>
            </li>
 -->
            <li>
              <a href="<?=base_url('users/history_game_saldo_page');?>">
                <i class="fa fa-history"></i> <span>History Game (Saldo)</span>
              </a>
            </li>

            <li>
              <a href="<?=base_url('users/login_history_page');?>">
                <i class="fa fa-wrench"></i> <span>History IP</span>
              </a>
            </li>

            <li>
              <a href="<?=base_url('users/change_password_page/');?>">
                <i class="fa fa-key"></i> <span>Ganti Password</span>
              </a>
            </li>

            <!-- <li>
              <a href="<?=base_url('users/blank_page');?>">
                <i class="fa fa-pagelines"></i> <span>Blank Page</span>
              </a>
            </li> -->
            
          </ul>
        </section>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Welcome back
            <small><?php echo $this->session->userdata('loggedIn')['username']?></small>
          </h1>
        </section>
        
        <!-- Main content -->
        <section class="content">
          <!-- Info boxes -->
