<div class="row">
  <div class="col-xs-12">
    <div class="box">
      <div class="box-header">
        <h3 class="box-title">History Game Page</h3>
      </div><!-- /.box-header -->
      <div class="box-body">
        <?php 
        echo validation_errors('<div class="alert alert-danger"><button class="close" data-dismiss="alert" type="button">×</button>','</div>');
        echo form_open('bank/search_bank/'); 
        ?>
        <div class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Tanggal</label>
            <div class="col-sm-10">
              <div class="col-xs-3">
                <select class="form-control" id="history-game-operation">
                  <option disabled selected>-- Empty --</option>
                  <?php foreach ($operation_lst as $key=>$c): ?>
                    <option value="<?php echo $c->IdOperation; ?>"><?php echo $c->WaktuBuka; ?></option>
                  <?php endforeach; ?>

                </select>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Pilih Player</label>
            <div class="col-sm-10">
              <div class="col-xs-3">
                <select class="form-control" id="history-game-player">
                  <option disabled selected>-- Empty --</option>
            </select>
          </div>
        </div>
      </div>

      <div class="form-group">
        <label class="col-sm-2 control-label">Meja</label>
        <div class="col-sm-10">
          <div class="col-xs-3">
            <select class="form-control" id="machine-select">
              <option disabled selected>-- Empty --</option>
            </select>
          </div>
        </div>
      </div>
      <div class="col-sm-2"> 
          <div class="panel panel-primary">
              <div class="panel-heading">
                <h3 class="panel-title">Total Game</h3>
              </div>
              <div class="panel-body"><strong id="total-game">-</strong></div>
          </div>
        </div>

        <div class="col-sm-2"> 
          <div class="panel panel-primary">
                <div class="panel-heading">
                  <h3 class="panel-title">Bet/Paid</h3>
                </div>
                <div class="panel-body"><strong id="total-bet-paid">-</strong></div>
          </div>
        </div>

        <div class="col-sm-2"> 
          <div class="panel panel-primary">
                <div class="panel-heading">
                  <h3 class="panel-title">Highest Bayar</h3>
                </div>
                <div class="panel-body"><strong id="total-paid">-</strong></div>
          </div>
        </div>
    </div>

    <div class="row">
      <div class="col-xs-12">
        <div style="height: 500px">
          <canvas id="history_game_chart" ></canvas>
       </div>
     </div>
    </div>

    <div class="row">
      <div class="col-xs-12">
        <table id="games_table" class="table table-bordered table-hover">
          <thead>
           <tr>
             <th>Jam</th>
             <th style="padding-right: 5px; padding-left: 5px;">Machine</th>
             <th>List Kartu (1, 2, 3, 4, 5, 6, 7)</th>
             
             <th>ID Jadi</th>
             <th>ID Jadi Extra</th>
             <th>Bet</th>
             <th>Bayar</th>
           </tr>
         </thead>
         <tbody>
         </tbody>
       </table>
     </div><!-- /.col -->
   </div>    
 </div>
 <?php echo form_close();?>

</div><!-- /.box-body -->
</div><!-- /.box -->

<div id="changeProducts" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 id="title" class="modal-title">Edit Products</h4>
      </div>
      <div class="modal-body">

        <!-- <p>One fine body&hellip;</p> -->
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
  </div><!-- /.modal -->
